(function() {
	"use strict";

	window.app.controller("MovementReportController",
	[
		"$scope", "reportSvc", "downloadSvc",
		function($scope, reportSvc, downloadSvc) {
			var vm = this;
			vm.loadData = reportSvc.loadMovementData;
			vm.movementData = reportSvc.movementData;
			vm.export = function(month) {
				reportSvc.exportMovementData({ month: month })
					.success(downloadSvc.success);
			};
		}
	]);
})();